자유게시판

제목 Chrome 84 release 버전 TLS 1.0 / 1.1 지원중단
글쓴이 테러보이 작성시각 2020/07/21 09:33:50
댓글 : 8 추천 : 0 스크랩 : 0 조회수 : 422   RSS
테러보이

 

그렇습니다.

구글이 보류 하던 패치를 뜬금없이 적용 해버렸습니다.

다들 피해 없게 미리미리 점검하세요~


추가내용

 

주요 브라우저별 TLS 1.0/1.1 통신 지원 중지관련으로 각 브라우저사는 코로나19로 인해 브라우저의 적용일정을 연기하였으나, 브라우저사별 TLS 1.0/1.1 지원 중단 버전이 공지 되었습니다.서버에서 TLS 프로토콜 설정을 하지 않으신 경우, 웹페이지 오류가 발생할 수 있으니 서버에서 TLS 프로토콜 설정을 반드시 진행하시기 바랍니다.[브라우저사별 TLS 1.0/1.1 중단 버전]

브라우저사 TLS 1.0 /1.1 지원 중단 브라우저 버전 공지 원문
Microsoft Microsoft Edge 84.0.522.40 (공식 빌드) MS 블로그
Microsoft 11 (2020년 9월 예정)
Google Chrome 84.0.4147.89 (공식 빌드) Chromium Blog
Mozilla Firefox 78.0 Mozilla 홈페이지

[서버별 TLS 지원 구성조건]

웹서버 서버 조건
Apache Apache 2.2x 이상
Openssl 1.0.1 이상
IIS Window Server 2008 R2 이상
Webtob Webtob 서버 관련 사항은 제조사 문의 필요
wbssl 1.0.1c 이상
Tomcat Tomcat 7 이상
Java 1.7 이상
OHS OHS 10.1.2.0.2
Openssl 1.0.1 이상
IHS IHS 8.0 이상
Openssl 1.0.1 이상
Nginx Openssl 1.0.1 이상
Iplanet Oracle iPlanet Web Server 7.0.21
lighttpd lighttpd 1.4.48 이상
Openssl 1.0.1 이상

* 이 외 기타서버는 제조사 문의 필요[주의사항]TLS 설정의 경우, 운영 중인 서비스에 실행 시 운영 서비스 중단이 발생할 수 있습니다.반드시 영향도를 파악하신 후 운영 시간 외 또는 서버 점검 시간에 진행하시기 바랍니다. 

리눅스 계열 Opnessl 1.0.1 이하에서는 Openssl 업그레이드가 필요하며, 업그레이드 후 재 컴파일 필요합니다.재 컴파일 시 서비스 운영에 영향이 있을 수 있으니, 영향도를 파악하신 후 진행하시기 바랍니다.
윈도우 계열 TLS 설정 시 Registry 수정이 필요합니다. Registry 수정 후 서비스 운영에 영향이 있을 수 있으니, 영향도를 파악하신 후 진행하시기 바랍니다.Window Server 2008 R2 이하의 경우, Microsoft 공식 공지 및 다운로드 파일을 확인하신 후 패치를 진행하시기 바랍니다.[TLS Microsoft 공지]https://support.microsoft.com/en-us/help/4019276/update-to-add-support-for-tls-1-1-and-tls-1-2-in-windows(Windows Server 2008 SP2 이하 지원 불가)[업데이트 파일 다운로드]http://www.catalog.update.microsoft.com/Search.aspx?q=KB4019276 
WAS 계열 Java 업데이트 및 WAS 버전 업그레이드가 필요합니다.업그레이드 후 서비스 운영에 영향이 있을 수 있으니, 영향도를 파악하신 후 진행하시기 바랍니다.
 다음글 ci4 사용하시는분 평가가 궁금합니다. (4)
 이전글 PHP 7.* EOL (End of life) (4)

댓글

테러보이 / 2020/07/21 09:36:35 / 추천 0

이런건 os단에서 제한을 해줬으면...

그래야 하위 os가 줄고 그에따라 하위 ie도 줄지 않을까 싶은데...

테러보이 / 2020/07/21 09:41:54 / 추천 0

추가로 앞으로 ssl인증서 구매시 최대기간은 398일입니다.

즉 2년짜리 구매가 안됩니다.

참고하세요

변종원(웅파) / 2020/07/21 10:54:29 / 추천 0
당분간은 모든 브라우저 업데이트 보류해야겠네요. (꺼꾸로 가는 세상)
테러보이 / 2020/07/21 11:13:11 / 추천 0

@웅파

고객님들은요??

변종원(웅파) / 2020/07/23 11:17:21 / 추천 0
테러보이/ 제가 관리하는 서버는 적용이 되어 있어서 상관없으나 모든 서버들이 업데이트 하지는 않을 것이고 고객입장에서 현재로서는 알아서 처리하는 수밖에 없겠죠. 저도 고객입장에서 쓴겁니다. ㅎㅎ
테러보이 / 2020/07/23 11:56:28 / 추천 0
@웅파 그렇군요 ㅋㅋㅋㅋ
전 일단 업데이트 하고 컨플레임을... ㅋㅋㅋ
timothy / 2020/07/23 18:02:09 / 추천 0

정보 공유를 해주셔서 감사합니다!

저는 구형 톰캣을 버린지 좀 돼서 다행이네요~ㅋㅋ

테러보이 / 2020/07/26 01:57:51 / 추천 0
@timothy 다행이네요 ㅎㅎㅎ